@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;500&family=Roboto:wght@400;700&display=swap');


/* resets */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --primary-text-color: #183b56;
    --secondary-text-color: #577592;
    --accent-color: #2294ed;
    --accent-color-dark: #1d69a3;
    --padding-inline-section: 20px;
}

body {
    font-family: 'Poppins', sans-serif;
    color: var(--primary-text-color);
}

h1 {
    font-size: 3rem;
}

h2 {
    font-size: 2rem;
}

h3 {
    font-size: 1.5rem;
}

p {
    font-family: 'Roboto', sans-serif;
    font-size: 1.25rem;
    color: var(--secondary-text-color);
    line-height: 1.8rem;
}

a {
    text-decoration: none;
    display: inline-block;
}

ul {
    list-style: none;
}

/* utility classes */

.small-bold-text{
    font-size: 1rem;
    font-weight: 700;
}

.container{
    max-width: 1180px;
    margin-inline: auto;
    padding-inline:var(--padding-inline-section);
}

.flex{
    display: flex;
    align-items: center;
}

.hover-links{
    color: var(--primary-text-color);
    transition:  0.2 ease-out;
}
.hover-links:hover{
    color: var(--accent-color);
}

.primary-button{
    background-color: var(--accent-color);
    border-radius: 6px;
    font-weight: 700;
    padding: 12px 24px;
    color: white !important;
    box-shadow: 0 0 2px var(--secondary-text-color);
    transition: 0.2 ease-out;
}

.primary-button:hover{
    background-color: var(--accent-color-dark);
}

.secondary-button{
    border: 0.5px solid var(--secondary-text-color);
    border-radius: 6px;
    font-weight: 700;
    color:var(--primary-text-color) !important;
    padding: 12px 24px;
    transition: 0.2 ease-out;
}

.secondary-button:hover{
    border-color: var(--accent-color);
    color: var(--accent-color) !important;
}



/* top banner */

.top-banner{
    background-image: url('./assets/asset\ 30.png');
    background-color: #4fb3d4;
    background-size: 300px;
}

.banner-text{
    color: white;
    padding: 15px 30px;
    text-align: center;
}

/* nav bar */

.main-nav{
    margin-top: 20px;
    justify-content: space-between;

}

.company-logo img{
    width: 200px;
}

.nav-links{
    flex-basis: 730px;
}

.nav-links ul{
    justify-content: end;
    gap: 40px;
}

/* header section */

header{
    padding: 50px var(--padding-inline-section) 0;
}

.header-section{
    justify-content: center;
    gap: 50px;
}

.header-left{
    max-width: 40vw;
}

.header-left h1{
    margin-top: 20px;
}

.get-started-btn{
    margin-top: 20px;
}

.header-right img{
    width: 600px;
}

/* companies section */

.companies-header{
    text-align: center;
    margin-block: 30px;
    color: var(--primary-text-color);
}

.logos{
    justify-content: space-between;
    flex-wrap: wrap;
}

.logo{
    height: 46px;
}

/* features section */

.features-section{
    padding: 80px var(--padding-inline-section) 0;
    background-image: url(./assets/asset\ 32.svg);
    background-repeat: no-repeat;
    background-position: center;
}

.features-header{
    text-align: center;
}

.features-header h2{
    margin-bottom: 20px;
}

.features-area{
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 40px;
    margin-top: 20px;
}

.features-card{
    flex-direction: column;
    gap: 20px;
    max-width: 30%;
    text-align: center;
}

.features-card img{ 
     width: 60px;
}

/* big feature section */

.big-feature-section{
    padding: 30px var(--padding-inline-section) 0;
}

.big-feature-container{
    gap: 30px;
}

.feature-img img{ 
    width: 100%;
}

.feature-desc{
    flex-direction: column;
    align-items: self-start;
}

/* example section */

.example-header{
    flex-direction: column;
    gap: 20px;
}

.examples-area{
    justify-content: space-between;
    margin-block: 30px;
}

.examples-card{
    width: 23%;
    position: relative;
    min-height: 300px;
    background: black;
    background: linear-gradient(rgb(0, 0, 0, 0.1), rgb(0, 0, 0, 0.8)), url(./assets/asset\ 35.jpeg);
    background-size: cover;
    transition: 0.2s ease-out;
}

.examples-card:hover {
    box-shadow: 0 0 10px #888;
}

.examples-card:nth-child(3) {
    background: linear-gradient(rgb(0, 0, 0, 0.1), rgb(0, 0, 0, 0.8)), url(./assets/asset\ 36.jpeg);
    background-size: cover;
}

.examples-card:nth-child(4) {
    background: linear-gradient(rgb(0, 0, 0, 0.1), rgb(0, 0, 0, 0.8)), url(./assets/asset\ 37.jpeg);
    background-size: cover;
}

.card-text{
    position: absolute;
    bottom: 20px;
    left: 20px;
    right: 20px;
    color: white;
}


/*  cta section  */

.cta-section-container{
    flex-direction: column;
    gap: 30px;
    color: white;
}

.cta-section{
    padding: 120px var(--padding-inline-section) 80px;
    background-color: #183b54;
}

.cta-section-container p{
    color: white;
    margin-top: 20px;
}

/* footer */

footer{
    padding-block: 80px ;
    background-color: #ebf2fa;
}

.link-column{
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
}

.footer-container{
    align-items: flex-start;
    justify-content: space-between;
}

/* sub footer section */

.subfooter{
    background-color: #b9cde4;
    padding: var(--padding-inline-section);
}

.subfooter-container{
    justify-content: center;
    gap: 30px;
}